{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{# bradcrumb #}
{% macro breadcrumb(paths) %}
    <div class="breadcrumb-container">
        <div class="container">
            <div class="row">
                <div class="col-xs-12">
                    <ol class="breadcrumb">
                        <li><a href="{{ path('homepage') }}"><i class="fa fa-home"></i> {{ "label.homepage" | trans }}</a></li>
                        {% for path in paths %}
                            {% set label = path is iterable ? path[0] : path %}
                            {% set route = path is iterable ? path[1] : null %}
                            {% set args = path is iterable and path[2] is defined ? path[2] : [] %}
                            {% if loop.last %}
                                <li class="active">{{ label | trans }}</li>
                            {% else %}
                                <li><a href="{{ route ? path(route, args) : '#' }}">{{ label | trans }}</a></li>
                            {% endif %}
                        {% endfor %}
                    </ol>
                </div>
            </div>
        </div>
    </div>
{% endmacro %}

{# flashes #}
{% macro flashes(attrs={}) %}
    {% for label, flashes in app.session.flashbag.all %}
        {% for flash in flashes %}
            <div class="bootstrap-notify-alert" data-type="{{ label }}">{{ flash|trans|raw|nl2br }}</div>
        {% endfor %}
    {% endfor %}
{% endmacro %}

{% macro display_list_position(list, page_size) %}
    {% set max = list.totalItemCount %}
    {% set end = page_size * list.currentPageNumber %}
    {% set start = end - page_size + 1 %}
    <p class="pull-left p-t-5 m-0">
        <span>{{ "text.table_pagination_infos" | trans({"%start%": start, "%end%": end > max ? max : end, "%max%": max}) | raw }}</span>
    </p>
{% endmacro %}

{% macro language_switcher() %}
    {% if app_locales is defined and app.request.attributes.get('_route') is not empty %}
    <li class="language-switcher dropdown">
        <a href="#" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
            <i class="fa fa-globe"></i>&nbsp;{{ ("label.locale." ~ app.request.locale) | trans }}&nbsp;<span class="caret"></span>
        </a>
        <ul class="dropdown-menu">
            {% for locale in app_locales %}
                {% if locale != app.request.locale %}
                    <li class="first last"><a href="{{ path(app.request.attributes.get('_route'), app.request.attributes.all._route_params|merge(app.request.query.all)|merge({'_locale': locale})) }}">{{ ("label.locale." ~ locale) | trans({}, null, locale) }}</a></li>
                {% endif %}
            {% endfor %}
        </ul>
    </li>
    {% endif %}
{% endmacro %}